## lemonldap-ng 2.0.0+ds

=== debian/changelog ===
lemonldap-ng (2.0.0+ds-2) unstable; urgency=medium

  * Add postinst to remove old manager links (Closes: #915682)
  * Add missing libfcgi-perl in fastcgi server dependencies

 -- Xavier Guimard <yadd@debian.org>  Sun, 09 Dec 2018 15:24:29 +0100

lemonldap-ng (2.0.0+ds-1) unstable; urgency=medium

  * Remove crypto-js from Files-Excluded
  * Replace /var/run by /run in systemd files
  * Install importMetadata
  * autopkgtest: add logo_llng_400px.png in smoke files
  * Import upstream version 2.0.0+ds (Closes: #915682)
  * Update debian/copyright
  * Update lemonldap-ng-portal.smoke-files
  * Update debian/NEWS
  * Update portal bootstrap dependency to libjs-bootstrap4 and add patch to
    use it
  * Add patch for missing authLogout() function in Auth::SSL
  * Moving from to unstable since upstream releases version 2.0.0

 -- Xavier Guimard <yadd@debian.org>  Thu, 06 Dec 2018 21:10:52 +0100

lemonldap-ng (2.0.0~git20181106.ee40242+ds-1) experimental; urgency=medium

  * Import upstream version 2.0.0~git20181106.ee40242+ds
  * debian/watch: use git HEAD
  * exclude crypto-js
  * add libjs-cryptojs and fonts-font-awesome in portal dependencies

 -- Xavier Guimard <yadd@debian.org>  Tue, 06 Nov 2018 16:20:14 +0100

lemonldap-ng (2.0.0~beta1+ds-1) experimental; urgency=medium

  * Allow beta releases in debian/watch
  * Update Files-Excluded to remove all minified files
  * Import upstream version 2.0.0~beta1
  * New upstream version 2.0.0~beta1+ds
  * Add debian/NEWS entry
  * Update debian/copyright following upstream COPYING
  * debian/control:
    + Update dependencies:
      - replace libauthen-captcha-perl by libgd-securityimage-perl
      - replace libmime-lite-perl by libmime-tools-perl
      - add libauthen-oath-perl, libconvert-base32-perl, libemail-sender-perl,
        libgssapi-perl, libauthen-u2f-perl and libcrypt-u2f-server-perl
      - libplack-perl is a dependency of "common" now
      - rearrange component dependencies following upstream changes
    + Remove package lemonldap-ng-fr-doc
    + Add new package lemonldap-ng-uwsgi-app
  * Add debian/NEWS entry
  * Update debian/copyright following upstream COPYING
  * Update dependencies
  * Add lemonldap-ng-uwsgi-app package
  * Update examples paths
  * Update maintainer scripts
  * debian/rules: update configure variables
  * Update .install paths
  * Remove replace-mouse-by-moose.patch
  * Update patches
  * Add debian/NEWS entry
  * Update debian/copyright following upstream COPYING
  * Update dependencies
  * Add lemonldap-ng-uwsgi-app package
  * Update examples paths
  * Update maintainer scripts
  * debian/rules: update configure variables
  * Update .install paths
  * Update patches
  * Update autopkgtest files
  * Update lintian-overrides
  * Avoid start-and-stop warning (see upstream #1069)

 -- Xavier Guimard <yadd@debian.org>  Tue, 30 Oct 2018 18:29:16 +0100
