=== debian/control ===
Source: lemonldap-ng
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Xavier Guimard <yadd@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper (>= 10),
               po-debconf
Build-Depends-Indep: libapache-session-perl,
                     libauthen-oath-perl,
                     libauthen-u2f-perl,
                     libcache-cache-perl,
                     libclone-perl,
                     libconfig-inifiles-perl,
                     libconvert-base32-perl,
                     libconvert-pem-perl,
                     libcrypt-openssl-rsa-perl,
                     libcrypt-openssl-x509-perl,
                     libcrypt-rijndael-perl,
                     libcrypt-u2f-server-perl,
                     libdbd-sqlite3-perl,
                     libdbi-perl,
                     libdigest-hmac-perl,
                     libemail-sender-perl,
                     libgd-securityimage-perl,
                     libglib-perl,
                     libgssapi-perl,
                     libhtml-template-perl,
                     libimage-magick-perl,
                     libio-string-perl,
                     libjson-perl,
                     liblasso-perl,
                     libmime-tools-perl,
                     libmouse-perl,
                     libnet-cidr-lite-perl,
                     libnet-ldap-perl,
                     libnet-openid-consumer-perl,
                     libnet-openid-server-perl,
                     libplack-perl,
                     libregexp-assemble-perl,
                     libregexp-common-perl,
                     libsoap-lite-perl,
                     libstring-random-perl,
                     libtest-mockobject-perl,
                     libtest-pod-perl,
                     libunicode-string-perl,
                     liburi-perl,
                     libhttp-message-perl,
                     libwww-perl,
                     libxml-libxml-perl,
                     libxml-libxslt-perl,
                     libxml-simple-perl,
                     uglifyjs,
                     yui-compressor,
                     perl
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng.git
Homepage: https://lemonldap-ng.org/
Rules-Requires-Root: binary-targets

Package: lemonldap-ng
Architecture: all
Depends: ${misc:Depends},
         lemonldap-ng-handler (= ${binary:Version}),
         liblemonldap-ng-manager-perl (= ${binary:Version}),
         liblemonldap-ng-portal-perl (= ${binary:Version})
Provides: openid-connect-provider,
          openid-connect-relying-party,
          saml-identity-provider,
          saml-service-provider
Description: OpenID-Connect, CAS and SAML compatible Web-SSO system
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package is a metapackage that install handler, manager and portal.

Package: lemonldap-ng-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Lemonldap::NG Web-SSO system documentation
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package contains html documentation.

Package: lemonldap-ng-fastcgi-server
Architecture: all
Section: web
Depends: ${misc:Depends},
         ${perl:Depends},
         lsb-base,
         libfcgi-perl,
         libfcgi-procmanager-perl,
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         libplack-perl
Recommends: libhttp-parser-xs-perl,
            nginx-extras | nginx
Description: Lemonldap::NG FastCGI server
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG FastCGI server provides a Nginx auth_request server that handles
 also LLNG Portal and Manager.

Package: lemonldap-ng-uwsgi-app
Architecture: all
Section: web
Depends: ${misc:Depends},
         ${perl:Depends},
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         uwsgi-plugin-psgi
Recommends: libhttp-parser-xs-perl,
            nginx-extras | nginx
Description: Lemonldap::NG uWSGI server
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG uWSGI server provides a replacement to Lemonldap::NG FastCGI
 server, using uWSGI instead of Plack FCGI.

Package: lemonldap-ng-handler
Architecture: all
Depends: ${misc:Depends},
         liblemonldap-ng-handler-perl (= ${binary:Version})
Recommends: lemonldap-ng-fastcgi-server (= ${binary:Version}) | lemonldap-ng-uwsgi-app (= ${binary:Version}) | libapache2-mod-perl2
Suggests: libcache-memcached-perl,
          libdigest-hmac-perl,
          libsoap-lite-perl
Breaks: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
Replaces: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
Description: Lemonldap::NG handler part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package provides configuration files for Apache and Nginx used to protect
 web areas.

Package: liblemonldap-ng-handler-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         liblemonldap-ng-common-perl (= ${binary:Version})
Description: Lemonldap::NG handler common libraries
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Handler provides Perl libraries used by web server handlers.

Package: liblemonldap-ng-common-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         debconf,
         libapache-session-perl,
         libcache-cache-perl,
         libconfig-inifiles-perl,
         libcrypt-openssl-rsa-perl,
         libcrypt-openssl-x509-perl,
         libcrypt-rijndael-perl,
         libhtml-template-perl,
         libjson-perl,
         libmouse-perl,
         libplack-perl,
         liburi-perl,
         libwww-perl
Recommends: libapache-session-browseable-perl,
            libcookie-baker-xs-perl,
            libdbi-perl,
            libhttp-parser-xs-perl,
            libjson-xs-perl,
            liblwp-protocol-https-perl
Suggests: libconvert-base32-perl,
          libnet-ldap-perl,
          libsoap-lite-perl,
          libxml-libxml-perl,
          libxml-simple-perl
Conflicts: liblemonldap-ng-cli-perl
Description: Lemonldap::NG common files
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Common contains common files used by other Lemonldap::NG
 modules.

Package: liblemonldap-ng-manager-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libconvert-pem-perl,
         libcrypt-openssl-rsa-perl,
         libjs-angularjs (>= 1.4),
         libjs-bootstrap,
         libjs-es5-shim,
         libjs-jquery,
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         lemonldap-ng-fastcgi-server (= ${binary:Version}) | lemonldap-ng-uwsgi-app (= ${binary:Version}) | apache2 | httpd-cgi
Recommends: lemonldap-ng-doc (= ${binary:Version}),
            libxml-libxml-perl,
            libxml-libxslt-perl,
            libxml-simple-perl
Suggests: libclone-perl,
          libregexp-assemble-perl
Pre-Depends: debconf
Description: Lemonldap::NG manager part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Manager provides the administration interface.

Package: liblemonldap-ng-portal-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         fonts-font-awesome,
         lemonldap-ng-fastcgi-server (= ${binary:Version}) | lemonldap-ng-uwsgi-app (= ${binary:Version}) | apache2 | httpd-cgi,
         libclone-perl,
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         libjs-bootstrap4,
         libjs-cryptojs,
         libjs-jquery,
