=== debian/changelog ===
lemonldap-ng (2.0.1+ds-1) unstable; urgency=medium

  * Add libgssapi-perl in portal suggested dependencies
  * Remove libauthcas-perl from portal suggested dependencies
  * Add gitlab-ci.yml to use Debian-CI
  * Import upstream release 2.0.1+ds
  * Remove missing-sub-in-SSL.patch and use-new-libjs-bootstrap4.patch now
    included in upstream

 -- Xavier Guimard <yadd@debian.org>  Fri, 21 Dec 2018 16:25:43 +0100
