## lemonldap-ng 2.0.2+ds

=== debian/changelog ===
lemonldap-ng (2.0.2+ds-7+deb10u2) buster-security; urgency=high

  * Add patch to fix OIDC vulnerabilities (Closes: CVE-2019-15941)

 -- Xavier Guimard <yadd@debian.org>  Thu, 05 Sep 2019 21:46:45 +0200

lemonldap-ng (2.0.2+ds-7+deb10u1) unstable; urgency=high

  * Fix tokens security (Closes: #928944, CVE-2019-12046)

 -- Xavier Guimard <yadd@debian.org>  Mon, 13 May 2019 21:22:34 +0200

lemonldap-ng (2.0.2+ds-7) unstable; urgency=medium

  * Import upstream translations update

 -- Xavier Guimard <yadd@debian.org>  Thu, 02 May 2019 08:54:06 +0200

lemonldap-ng (2.0.2+ds-6) unstable; urgency=medium

  * Add patch to fix missing userControl calls (little security fix)

 -- Xavier Guimard <yadd@debian.org>  Thu, 28 Mar 2019 10:41:14 +0100

lemonldap-ng (2.0.2+ds-5) unstable; urgency=medium

  * Fix bad build dependency: Authen::2F::Tester instead of Authen::2F
  * Split autopkgtests to test each library separately

 -- Xavier Guimard <yadd@debian.org>  Sat, 02 Mar 2019 13:47:29 +0100

lemonldap-ng (2.0.2+ds-4) unstable; urgency=medium

  * Ignore debci GPG errors (Closes: 922265)

 -- Xavier Guimard <yadd@debian.org>  Thu, 14 Feb 2019 13:31:31 +0100

lemonldap-ng (2.0.2+ds-3) unstable; urgency=medium

  * Skip GPG test in autopkgtest (Closes: #922265)

 -- Xavier Guimard <yadd@debian.org>  Thu, 14 Feb 2019 13:16:41 +0100

lemonldap-ng (2.0.2+ds-2) unstable; urgency=medium

  * Add gpg in build dependencies (Closes: #922265)

 -- Xavier Guimard <yadd@debian.org>  Wed, 13 Feb 2019 21:36:59 +0100

lemonldap-ng (2.0.2+ds-1) unstable; urgency=medium

  * New upstream version 2.0.2+ds
  * Refresh patches
  * Update copyrights using upstream files
  * Add libcrypt-urandom-perl and libipc-run-perl in dependencies

 -- Xavier Guimard <yadd@debian.org>  Tue, 12 Feb 2019 21:30:35 +0100

lemonldap-ng (2.0.1+ds-2) unstable; urgency=medium

  * Remove useless test (Closes: #919730)
  * Declare compliance with policy 4.3.0
  * Bump debheper compatibility level to 11
  * Declare /tmp as private in lemonldap-ng-fastcgi-server.service
  * Update doc-base index and files
  * Remove "--with systemd"

 -- Xavier Guimard <yadd@debian.org>  Sat, 19 Jan 2019 12:32:57 +0100
