=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Uploaders: Xavier Guimard <yadd@debian.org>
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                po-debconf
-Build-Depends-Indep: libapache-session-perl,
+Build-Depends-Indep: gpg,
+                     libapache-session-perl,
                      libauthen-oath-perl,
-                     libauthen-u2f-perl,
+                     libauthen-u2f-tester-perl,
                      libcache-cache-perl,
                      libclone-perl,
                      libconfig-inifiles-perl,
@@ -15,6 +16,7 @@
                      libconvert-pem-perl,
                      libcrypt-openssl-rsa-perl,
                      libcrypt-openssl-x509-perl,
+                     libcrypt-urandom-perl,
                      libcrypt-rijndael-perl,
                      libcrypt-u2f-server-perl,
                      libdbd-sqlite3-perl,
@@ -27,6 +29,7 @@
                      libhtml-template-perl,
                      libimage-magick-perl,
                      libio-string-perl,
+                     libipc-run-perl,
                      libjson-perl,
                      liblasso-perl,
                      libmime-tools-perl,
@@ -52,7 +55,7 @@
                      uglifyjs,
                      yui-compressor,
                      perl
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng.git
 Homepage: https://lemonldap-ng.org/
@@ -200,6 +203,7 @@
          libconfig-inifiles-perl,
          libcrypt-openssl-rsa-perl,
          libcrypt-openssl-x509-perl,
+         libcrypt-urandom-perl,
          libcrypt-rijndael-perl,
          libhtml-template-perl,
          libjson-perl,
@@ -271,8 +275,3 @@
          ${perl:Depends},
          fonts-font-awesome,
          lemonldap-ng-fastcgi-server (= ${binary:Version}) | lemonldap-ng-uwsgi-app (= ${binary:Version}) | apache2 | httpd-cgi,
-         libclone-perl,
-         liblemonldap-ng-handler-perl (= ${binary:Version}),
-         libjs-bootstrap4,
-         libjs-cryptojs,
-         libjs-jquery,
