## lemonldap-ng 2.0.2.1+ds

=== Makefile ===
--- 
+++ 
@@ -111,6 +111,9 @@
 # Apache version
 APACHEVERSION=2.X
 
+# Apache log dir
+APACHELOGDIR=/var/log/apache2
+
 # DNS Domain for cookie and virtual hosts
 DNSDOMAIN=example.com
 
@@ -120,6 +123,7 @@
 TESTWEBSERVER=apache
 TESTWEBSERVERPORT=19876
 TESTUSESSL=0
+E2E_TESTS='portal/*.js'
 
 # LDAP backend test
 LLNGTESTLDAP_SLAPD_BIN=/usr/sbin/slapd
@@ -372,8 +376,3 @@
 autopkgtest:    all
 	./debian/tests/runner build-deps
 	./debian/tests/runner runtime-deps
-	#/usr/share/pkg-perl-autopkgtest/runner runtime-deps-and-recommends
-
-# End-to-end tests
-# ----------------
-
