=== debian/changelog ===
lemonldap-ng (2.0.2.1+ds-7+deb10u5+dde) unstable; urgency=medium

  * update

 -- Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>  Wed, 07 Jul 2021 17:43:39 +0800

lemonldap-ng (2.0.2.1+ds-7+deb10u5+dde) buster-security; urgency=medium

  * Non-maintainer upload.
  * Update version.

 -- wangpei <wangpei@uniontech.com>  Wed, 30 Jun 2021 14:20:23 +0800

lemonldap-ng (2.0.2+ds-7+deb10u5) buster-security; urgency=high

  * Fix Nginx configuration files in documentation (Closes: CVE-2020-24660)
  * Add debian/NEWS entry

 -- Xavier Guimard <yadd@debian.org>  Mon, 07 Sep 2020 11:19:05 +0200

lemonldap-ng (2.0.2+ds-7+deb10u4) buster; urgency=medium

  * Fix nginx configuration regression introduced by CVE-2019-19791 fix
    (Closes: #960392)

 -- Xavier Guimard <yadd@debian.org>  Tue, 12 May 2020 10:59:43 +0200

lemonldap-ng (2.0.2+ds-7+deb10u3) buster; urgency=medium

  * Fix default configuration to prevent unwanted access to admin endpoints
    (Closes: CVE-2019-19791)
  * Fix the GrantSession plugin which could not prohibit logon when a 2FA was
    used
  * Fix for OIDC: any redirection where allowed when relaying party was
    configured without redirect_uri
  * Update debian/NEWS

 -- Xavier Guimard <yadd@debian.org>  Fri, 06 Mar 2020 20:47:32 +0100
